function doQuickSave(%val)
{
	if(%val)
		return;

	if($QuickSave::hasPreviousSave)
	{
		canvas.pushDialog(saveBricksGui);

		SaveBricks_FileName.setValue($QuickSave::saveName);
		SaveBricks_Description.setValue($QuickSave::saveDesc);
		SaveBricks_ExtendedInfo.setValue($QuickSave::saveEvents);
		SaveBricks_Ownership.setValue($QuickSave::saveOwners);

		SaveBricks_Save();

		eval(MessageBoxYesNoDlg.yesCallback);
		canvas.popDialog(MessageBoxYesNoDlg);
	}
	else
		canvas.pushDialog(saveBricksGui);
}

package Client_QuickSave
{
	function SaveBricks_Save()
	{
		$QuickSave::hasPreviousSave = 1;
		$QuickSave::saveName = SaveBricks_FileName.getValue();
		$QuickSave::saveDesc = SaveBricks_Description.getValue();
		$QuickSave::saveEvents = SaveBricks_ExtendedInfo.getValue();
		$QuickSave::saveOwners = SaveBricks_Ownership.getValue();
		Parent::SaveBricks_Save();
	}
};
activatePackage(Client_QuickSave);

//Stolen from Randy
function AddBind(%division, %name, %command)
{
	for(%i=0;%i<$remapCount;%i++)
	{
		if($remapDivision[%i] $= %division)
		{
			%foundDiv = 1;
			continue;
		}
		if(%foundDiv && $remapDivision[%i] !$= "")
		{
			%position = %i;
			break;
		}
	}
	if(!%foundDiv)
	{
		error("Division not found: " @ %division);
		return;
	}
	if(!%position)
	{
		$remapName[$remapCount] = %name;
		$remapCmd[$remapCount] = %command;
		$remapCount++;
		return;
	}
	for(%i=$remapCount;%i>%position;%i--)
	{
		$remapDivision[%i] = $remapDivision[%i - 1];
		$remapName[%i] = $remapName[%i - 1];
		$remapCmd[%i] = $remapCmd[%i - 1];
	}
	$remapDivision[%position] = "";
	$remapName[%position] = %name;
	$remapCmd[%position] = %command;
	$remapCount++;
}
if(!$addedQuickSaveBinds)
{
	AddBind("Recording","Quick Save","doQuickSave");
	$addedQuickSaveBinds = true;
}